Subject: bug#22065: core dumped during compilation (emacs-25 branch on FreeBSD 9)

From: Joseph Mingrone <[email-masked]>
Date: Tue, 16 Feb 2016 23:38:20 -0400

I was working on the requested backtrace and discovered a few things.  As I mentioned before, when testing with the FreeBSD port, the problem remained.  When testing without the port (manually doing ./configure (g)make) everything worked fine, even with the first pretest, 25.0.90.  I believe these lines in the FreeBSD port's Makefile are the problem.

CPPFLAGS+=      -I${LOCALBASE}/include
LDFLAGS+=       -L${LOCALBASE}/lib

After removing those lines, the FreeBSD port also builds fine.

Paul, when you confirmed the core dump, did you test by using the FreeBSD port system?

Joseph